Uploaded image for project: 'FreePBX'
  1. FreePBX
  2. FREEPBX-9405

PHP Deprecation Warnings

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Admin Closed
    • Priority: Minor
    • Resolution: Third Party Issue
    • Affects Version/s: 12
    • Fix Version/s: None
    • Component/s: FreePBX Framework
    • Labels:
      None
    • ToDo:
    • Distro Version:
      8.0 (jessie)
    • Distro:
      Self Install Debian

      Description

      In Debian 8 with PHP 5.6 I get a lot of PHP deprecation warnings like these in freepbx.log:

      [2015-Jun-02 11:27:10] [PHP-DEPRECATION_WARNING] (/usr/share/php/DB/common.php:2200) - Non-static method DB::isManip() should not be called statically, assuming $this from incompatible context
      [2015-Jun-02 11:27:10] [PHP-DEPRECATION_WARNING] (/usr/share/php/DB/common.php:1217) - Non-static method DB::isError() should not be called statically, assuming $this from incompatible context

      or these in freepbx_debug:

      2015-Jun-03 16:31:01 /usr/share/php/DB/mysql.php:240
      [DEPRECATION_WARNING]: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead

      These warnings can be removed with the attached patch.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                jmpg José Gonçalves
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  NextupJiraPlusStatus

                  Error rendering 'slack.nextup.jira:nextup-jira-plus-status'. Please contact your Jira administrators.